#Start with 24 stacked HotSpots for 12 weeks of twice-weekly updates
#This formula calculates the DHWs for the last date in the stack by adding up HotSpots > 1 over the stack

#Make sure Output image type is set to 32-bit floating point
set output 32 f ;

#Set up a variable for referring to the output image
const image = blank;

#Loop through each image and add up any HotSpots greater than or equal to 1

#  NOTE that the formula excludes any HotSpots greater than or equal to 80 degrees.
#     These are assumed to be data errors, since no area would really experience 
#     water temperatures more than 80 degrees above the mean for the warmest month

#  Also note that each HotSpot is divided by two.  This is because our data are updated
#     two times a week, so each HotSpot measurement respresents half a week.

for j = 1, 24
if (@[j] >= 0.999 AND @[j] <= 80.0) image = image + (0.5*@[j]) else image = image;


#Apply the "null values" mask from the first image; this will set all land areas to -77.77
if (@1 <=-77) image = -77.77 else image = image;

image;

