
# Creates mean monthly SST images

# Input is a stack of 2005 SST fields  with pixels equal to temperature in degrees Celsius

# date is an array of string values for dates in image names - in this case it specifies images 
# from Jan, Feb and Mar 2005

const date = {"200501", "200502", "200503", "200504", "200505", "200506", "200507", "200508", "200509", "200510", "200511", "200512"} ;

# Make sure the output is 32-bit floating point as will be decimal degrees Celsius
# To ensure a stack is created, the output is set to "stacked"

set output stacked;
set output 32 f ;

# For first three months of the year find means of images with specified strings in their titles
# and then multiply means by scale-factor to convert to degrees Celsius. j is an explicit counter 
# for the elements of the date array

for j = 1, 12
# note that i in the mean function is an intrinsic counter which goes through all i images in the stack
# to which the formula is pasted (or dragged and dropped)
# the counter j allows each string element of the array date to be tested against in turn
mean(i, @[i]._title =~ date[j]);



